import { request } from '@umijs/max';

export async function operatorPage(body) {
    return request('/admin/operator/rate/config/page', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function deleteBatchByIds(body) {
    return request('/admin/operator/rate/config/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function operatorAdd(body) {
    return request('/admin/operator/rate/config/add', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function operatorUpdate(body) {
    return request('/admin/operator/rate/config/update', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


export async function getOperatorRateConfigSelect() {
    return request('/admin/operator/rate/config/getOperatorRateConfigSelect', {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
    });
}
